using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATTriggerAction")]
public partial class AttriggerAction
{
    [Key]
    public int Id { get; set; }

    [StringLength(255)]
    public string Name { get; set; } = null!;

    [InverseProperty("Action")]
    public virtual ICollection<AteventTriggerDefinition> AteventTriggerDefinitions { get; set; } = new List<AteventTriggerDefinition>();
}
